% Copyright (c) 2011 Joris Degroote, Majid Hojjat, Electra Stavropoulou,
% Roland Wüchner, Kai-Uwe Bletzinger
%
% Licensed under the Non-Profit Open Software License version 3.0
% (NPOSL-3.0). You should have received a copy of the NPOSL-3.0 along with 
% this file. If not, see <http://www.opensource.org/licenses/NPOSL-3.0>
%
% Dummy model which returns zero prediction.

classdef Dummy < handle
    methods
        function add(~,~,~)
        end
        function dy=predict(~,dx)
            dy=zeros(size(dx));
        end
        function finish_primal(~)
        end
        function increase_time(~)
        end
        function decrease_time(~)
        end
        function r=ready(~)
            r=true;
        end
    end
end